import java.util.HashMap;
import java.util.Map;

public class Teacher {
    public static final Map<String, String> nameMap = new HashMap<>();
    private String shortName;
    private String name;
    private int totalPoints;

    // Constructor
    public Teacher(String shortName) {
        this.shortName = shortName;
        this.name = nameMap.get(shortName);
        this.totalPoints = 0;
    }

    // Getters
    public String getShortName() {
        return shortName;
    }

    public String getName() {
        return name;
    }

    public int getTotalPoints() {
        return totalPoints;
    }

    // Setters
    public void setTotalPoints(int points) {
        this.totalPoints = points;
    }

    // Method to add points
    public void addPoints(int smallBreakPoints, int longBreakPoints, int bonusPoints) {
        this.totalPoints += smallBreakPoints + longBreakPoints + bonusPoints;
    }
}
